StructureTree2SAXEventAdapter (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.accessibility

## Class StructureTree2SAXEventAdapter

- java.lang.Object
- - org.apache.fop.accessibility.StructureTree2SAXEventAdapter

- All Implemented Interfaces:
    StructureTreeEventHandler

      public final class StructureTree2SAXEventAdapter
      extends Object
      implements StructureTreeEventHandler

  Converts structure tree events to SAX events.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endNode(String name)` Ends a structure tree node.
    `void` | `endPageSequence()` Ends a page sequence structure tree node.
    `static StructureTreeEventHandler` | `newInstance(ContentHandler contentHandler)` Factory method that creates a new instance.
    `StructureTreeElement` | `startImageNode(String name, Attributes attributes, StructureTreeElement parent)` Starts an image node.
    `StructureTreeElement` | `startNode(String name, Attributes attributes, StructureTreeElement parent)` Starts a structure tree node.
    `void` | `startPageSequence(Locale locale, String role)` Starts a page sequence structure tree node.
    `StructureTreeElement` | `startReferencedNode(String name, Attributes attributes, StructureTreeElement parent)` Starts a node that can be referenced by other nodes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static StructureTreeEventHandler newInstance(ContentHandler contentHandler)

      Factory method that creates a new instance.
      Parameters:
        `contentHandler` - The handler that receives SAX events
      Returns:
        -

    - #### startPageSequence

          public void startPageSequence(Locale locale,
                                        String role)

      Starts a page sequence structure tree node.
      Specified by:
        `startPageSequence` in interface `StructureTreeEventHandler`
      Parameters:
        `locale` - The locale of the page sequence
        `role` - the value of the role property. May be null.

    - #### endPageSequence

          public void endPageSequence()

      Ends a page sequence structure tree node.
      Specified by:
        `endPageSequence` in interface `StructureTreeEventHandler`

    - #### startNode

          public StructureTreeElement startNode(String name,
                                                Attributes attributes,
                                                StructureTreeElement parent)

      Starts a structure tree node.
      Specified by:
        `startNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

    - #### endNode

          public void endNode(String name)

      Ends a structure tree node.
      Specified by:
        `endNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node

    - #### startImageNode

          public StructureTreeElement startImageNode(String name,
                                                     Attributes attributes,
                                                     StructureTreeElement parent)

      Starts an image node.
      Specified by:
        `startImageNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

    - #### startReferencedNode

          public StructureTreeElement startReferencedNode(String name,
                                                          Attributes attributes,
                                                          StructureTreeElement parent)

      Starts a node that can be referenced by other nodes. This is usually a node that can have Marked Content References as children.
      Specified by:
        `startReferencedNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

Copyright © 2025 Apache Software Foundation. All rights reserved.